curl --request GET \
--url https://api.leadping.ai/outbound/{phoneNumberId}/capacity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/outbound/{phoneNumberId}/capacity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/outbound/{phoneNumberId}/capacity");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/outbound/{phoneNumberId}/capacity")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/outbound/{phoneNumberId}/capacity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/outbound/{phoneNumberId}/capacity"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/outbound/{phoneNumberId}/capacity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"smsRampDirection": "up",
"voiceRampDirection": "up",
"capacityAvailable": true,
"phoneNumberId": "<string>",
"phoneNumber": "<string>",
"healthStatus": "unknown",
"healthReason": "<string>",
"smsApproved": true,
"smsRamping": true,
"smsRemainingThisMinute": 123,
"smsUsedThisMinute": 123,
"smsLimitThisMinute": 123,
"smsMinutelyResetsAt": "2023-11-07T05:31:56Z",
"smsRemainingToday": 123,
"smsUsedToday": 123,
"smsLimitToday": 123,
"smsDailyResetsAt": "2023-11-07T05:31:56Z",
"smsRemainingThisHour": 123,
"smsUsedThisHour": 123,
"smsLimitThisHour": 123,
"smsHourlyResetsAt": "2023-11-07T05:31:56Z",
"voiceRamping": true,
"voiceRemainingThisMinute": 123,
"voiceUsedThisMinute": 123,
"voiceLimitThisMinute": 123,
"voiceMinutelyResetsAt": "2023-11-07T05:31:56Z",
"voiceRemainingToday": 123,
"voiceUsedToday": 123,
"voiceLimitToday": 123,
"voiceDailyResetsAt": "2023-11-07T05:31:56Z",
"voiceRemainingThisHour": 123,
"voiceUsedThisHour": 123,
"voiceLimitThisHour": 123,
"voiceHourlyResetsAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Gets outbound capacity for a phone number in the current organization.
Returns the phone number’s outbound sending capacity based on current provider and Leadping state, including throttling and delivery eligibility. The phone number must belong to the current organization.
curl --request GET \
--url https://api.leadping.ai/outbound/{phoneNumberId}/capacity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/outbound/{phoneNumberId}/capacity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/outbound/{phoneNumberId}/capacity");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/outbound/{phoneNumberId}/capacity")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/outbound/{phoneNumberId}/capacity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/outbound/{phoneNumberId}/capacity"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/outbound/{phoneNumberId}/capacity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"smsRampDirection": "up",
"voiceRampDirection": "up",
"capacityAvailable": true,
"phoneNumberId": "<string>",
"phoneNumber": "<string>",
"healthStatus": "unknown",
"healthReason": "<string>",
"smsApproved": true,
"smsRamping": true,
"smsRemainingThisMinute": 123,
"smsUsedThisMinute": 123,
"smsLimitThisMinute": 123,
"smsMinutelyResetsAt": "2023-11-07T05:31:56Z",
"smsRemainingToday": 123,
"smsUsedToday": 123,
"smsLimitToday": 123,
"smsDailyResetsAt": "2023-11-07T05:31:56Z",
"smsRemainingThisHour": 123,
"smsUsedThisHour": 123,
"smsLimitThisHour": 123,
"smsHourlyResetsAt": "2023-11-07T05:31:56Z",
"voiceRamping": true,
"voiceRemainingThisMinute": 123,
"voiceUsedThisMinute": 123,
"voiceLimitThisMinute": 123,
"voiceMinutelyResetsAt": "2023-11-07T05:31:56Z",
"voiceRemainingToday": 123,
"voiceUsedToday": 123,
"voiceLimitToday": 123,
"voiceDailyResetsAt": "2023-11-07T05:31:56Z",
"voiceRemainingThisHour": 123,
"voiceUsedThisHour": 123,
"voiceLimitThisHour": 123,
"voiceHourlyResetsAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
The ID of the phone number whose outbound capacity should be retrieved.
Response
OK
Reports the sending capacity, current load, and availability of a phone number considered for outbound delivery.
Indicates whether a phone number's channel capacity is increasing, decreasing, or stable.
up, down, none Indicates whether a phone number's channel capacity is increasing, decreasing, or stable.
up, down, none Indicates whether Leadping successfully calculated capacity for this phone number.
Unique identifier of the phone number associated with this Leadping outbound phone number capacity.
Phone number associated with this Leadping outbound phone number capacity.
Defines phone-number outbound health states used by pacing.
unknown, new, healthy, warmup, limited, cooling_down, suspended, disabled Human-readable reason for the current phone-number health state.
Indicates whether this phone number has an approved 10DLC messaging campaign assignment.
Indicates whether SMS limits for this phone number are still ramping up.
SMS remaining in the current rolling minute.
SMS used in the current rolling minute.
SMS limit for one rolling minute.
The next time SMS capacity becomes available in the rolling minute window.
SMS remaining today for the applicable messaging or voice capacity window.
SMS used today for the applicable messaging or voice capacity window.
Number of SMS limit today represented by this Leadping outbound phone number capacity.
Next midnight Eastern time, when SMS daily capacity resets.
SMS remaining this hour for the applicable messaging or voice capacity window.
SMS used this hour for the applicable messaging or voice capacity window.
Number of SMS limit this hour represented by this Leadping outbound phone number capacity.
Start of the next Eastern time hour, when SMS hourly capacity resets.
Indicates whether call limits for this phone number are still ramping up.
Voice remaining in the current rolling minute.
Voice used in the current rolling minute.
Voice limit for one rolling minute.
The next time voice capacity becomes available in the rolling minute window.
Voice remaining today for the applicable messaging or voice capacity window.
Voice used today for the applicable messaging or voice capacity window.
Voice limit today associated with this Leadping outbound phone number capacity.
Next midnight Eastern time, when voice daily capacity resets.
Voice remaining this hour for the applicable messaging or voice capacity window.
Voice used this hour for the applicable messaging or voice capacity window.
Voice limit this hour associated with this Leadping outbound phone number capacity.
Start of the next Eastern time hour, when voice hourly capacity resets.

